Attribute VB_Name = "librerieTC08"
'*********
'Chiamare questa routine una volta per ogni canale che si desidera utilizzare.
' possibile effettuare questa operazione in qualsiasi momento dopo la chiamata usb_tc08_open_unit.
Declare Function usb_tc08_set_channel Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByVal channel As Integer, ByVal tc_type As Byte) As Integer
'*********

'*********
' necessario impostare i canali prima di chiamare questa funzione.
'L'unit non deve essere messa in modalit streaming con usb_tc08_run, in quanto ci causerebbe il fallimento di
'usb_tc08_get_single. La funzione converte tutte le letture su richiesta.
Declare Function usb_tc08_get_single Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef temp As Single, ByRef overflow_flags, ByVal units As Integer) As Long
'*********

'Questa routine avvia l'unit di esecuzione con un intervallo di campionamento, specificato in millisecondi.
'Questa routine dovrebbe essere chiamato dopo usb_tc08_set_channel  stato chiamato.
Declare Function usb_tc08_run Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByVal interval_ms As Long) As Long

'Una volta aperto il driver e configurare alcuni canali,  possibile chiamare la routine usb_tc08_run.
'Il driver potr quindi cominciare a prendere continuamente letture dal TC USB-08.
'Utilizzare usb_tc08_get_temp per recuperare periodicamente le letture dal buffer.
' necessario chiamare la funzione almeno una volta al minuto per evitare di perdere i dati
'(il buffer  circolare, quindi la lettura pi antica sar sovrascritto prima).
Declare Function usb_tc08_get_temp Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef temp_buffer As Single, ByRef times_ms_buffer As Long, ByVal buffer_length As Long, ByRef overflow, ByVal channel As Integer, units As Integer, ByVal fill_missing As Integer) As Long

'In modalit streaming, recupera le letture di temperatura da un canale specificato con il tempo raddrizzate.
Declare Function usb_tc08_get_temp_deskew Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef temp_buffer As Single, ByRef times_ms_buffer As Long, ByVal buffer_length As Long, ByRef overflow, ByVal channel As Integer, ByVal units As Integer, ByVal fill_missing As Integer) As Long

'==========================================================================
'    Shared API Calls

'    These functions are designed for use with the USB TC08,
'    however, they can (and should) still be used with the legacy API calls
'===========================================================================*/

'*********
'trova il numero dell'unit TC=08
Declare Function usb_tc08_open_unit Lib "c:\usbtc08.dll" () As Integer
'*********

'*********
'chiude il numero dell'unit TC=08
Declare Function usb_tc08_close_unit Lib "c:\usbtc08.dll" (ByVal handle As Integer) As Integer
'*********

'*********
'Questa routine setta l'USB TC-08 a 50 o 60 Hz.
Declare Function usb_tc08_set_mains Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByVal sixty_hertz As Integer) As Integer
'*********

'*********
'legge le informazioni del tipo di data logger
Declare Function usb_tc08_get_unit_info2 Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByVal info As String, ByVal string_length As Integer, ByVal line_no As Integer) As Integer
'*********

'*********
'Questa routine restituisce l'ultimo errore, per l'unit specificata da gestire.
Declare Function usb_tc08_get_last_error Lib "c:\usbtc08.dll" (ByVal handle As Integer) As Integer
'*********

'ferma il numero dell'unit TC=08
Declare Function usb_tc08_stop Lib "c:\usbtc08.dll" (ByVal handle As Integer) As Integer

'Questa routine restituisce l'intervallo minimo di campionamento (o pi veloce intervallo di millisecondo)
'che l'unit pu raggiungere nella sua configurazione attuale.
'La configurazione  definita chiamando usb_tc08_set_channel().
Declare Function usb_tc08_get_minimum_interval_ms Lib "c:\usbtc08.dll" (ByVal handle As Integer) As Long

'Questa funzione  simile alla routine usb_get_unit_info, ma le informazioni sulle unit vengono restituite
'sotto forma di una stringa di carattere formattata. La stringa  divisa nei seguenti elementi,
'dove ciascuno appare su una linea diversa:
'la versione del driver, versione hardware, info variante; numero di serie, data di calibrazione.
Declare Function usb_tc08_get_formatted_info Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByVal unit_info As String, ByVal string_length As Integer) As Integer

'====================================================================
'    Legacy API Calls

'    Provided to aid backwards compatibility with code written
'    for old TC08 Units (differences exist).

'    These functions should not be used in new code and are
'    deprecated for removal in a future version of the driver.
'=====================================================================

'Questa routine inizia il filo di campionamento e forza l'unit per l'esecuzione in modalit legacy
Declare Function usb_tc08_legacy_run Lib "c:\usbtc08.dll" (ByVal handle As Integer) As Integer

'Chiamare questa routine una volta per ogni canale che si desidera effettuare letture da.
' possibile effettuare questa operazione in qualsiasi momento dopo la chiamata usb_tc08_open_unit.
Declare Function usb_tc08_legacy_set_channel Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByVal channel As Integer, ByVal tc_type As Integer, ByVal filter_factor As Integer, ByVal offset As Integer, ByVal slope As Integer)

'Una volta aperto il driver e definiti alcuni canali,  possibile chiamare la routine usb_tc08_legacy_run.
'Il driver prender quindi costantemente le letture dal TC USB-08.
'Le temperature sono restituiti in centesimi di grado Celsius e le tensioni sono restituiti in microvolt.
Declare Function usb_tc08_legacy_get_temp Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef temp As Long, ByVal channel As Integer, ByVal filtered As Integer) As Integer

'Questa routine recupera una lettura della temperatura del punto freddo.
'Ci pu essere ottenuto anche facendo passare channel = 0 a usb_tc08_get_temp.
'Le temperature sono restituiti in centesimi di grado Celsius.
'Normalmente, non  necessario preoccuparsi della temperatura del giunto freddo,
'come il driver utilizza automaticamente per compensare termocoppie.
' possibile, tuttavia, utilizzare come un'indicazione della temperatura ambiente
Declare Function usb_tc08_legacy_get_cold_junction Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef temp As Long) As Integer

'Questa routine restituisce la versione del driver.
'Ci  utile quando hai bisogno di sapere se il driver pi recente  in uso.
Declare Function usb_tc08_legacy_get_driver_version Lib "c:\usbtc08.dll" () As Integer

'Questa routine imposta la variabile 'versione' di corrispondere alla versione del TC USB-08 attualmente in uso.
Declare Function usb_tc08_legacy_get_version Lib "c:\usbtc08.dll" (ByVal handle As Integer, ByRef version As Integer) As Integer

'Questa routine fornisce il numero di cicli completi delle registrazioni prese da un particolare USB TC-08.
'Usb_tc08_legacy_get_temp Calling provoca la lettura pi recente per il canale specificato deve essere
'restituito immediatamente.
'Se si desidera registrare i valori solo quando il conducente ha effettuato una nuova lettura,
' possibile utilizzare questa routine per scoprire quanti cicli completi di letture il conducente ha preso.
'Poi si pu chiamare usb_tc08_legacy_get_temp, ma solo quando il ciclo  stato incrementato.
Declare Function usb_tc08_legacy_get_cycle Lib "c:\usbtc08.dll" (ByRef cycle As Long, ByVal handle As Integer) As Integer
